<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ExecutorOptions.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">protean-tests</a> &gt; <a href="index.source.html" class="el_package">io.gitlab.littlesaints.protean.configuration</a> &gt; <span class="el_source">ExecutorOptions.java</span></div><h1>ExecutorOptions.java</h1><pre class="source lang-java linenums">/*
 *                     protean-core
 *              Copyright (C) 2018 Varun Anand
 *
 * This file is part of protean-core.
 *
 * protean-core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 *
 * protean-core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.
 */

package io.gitlab.littlesaints.protean.configuration;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.gitlab.littlesaints.protean.EventExecutor;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * Options to common an {@link EventExecutor}
 *
 * @author Varun Anand
 * @see EventExecutor
 * @since 0.1
 */
@Getter
<span class="fc" id="L38">@Setter</span>
<span class="nc" id="L39">@ToString</span>
<span class="fc" id="L40">public class ExecutorOptions {</span>

<span class="fc" id="L42">	private GenericOptions type = GenericOptions.builder().supplier(Defaults.EXECUTOR).build();</span>

<span class="fc" id="L44">	private int buffer = Defaults.BUFFER;</span>

	@JsonProperty(&quot;multi-producer&quot;)
<span class="fc" id="L47">	private boolean multiProducer;</span>

<span class="fc" id="L49">	private GenericOptions exchange = GenericOptions.builder().supplier(Defaults.EXCHANGE).build();</span>

<span class="fc" id="L51">	private ExecutorModeOptions mode = new ExecutorModeOptions();</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.4.201905082037</span></div></body></html>